<?php

/** \file
 * Settings and constants for TinyMON
 */

/* Asterisk settings */

/** Asterisk host. */
define ('AST_HOST', 'localhost') ;
/** Asterisk Manager Interface TCP port (5038 usually). */
define ('AST_PORT', 5038) ;
/** Username for Asterisk Manager Interface.
 * This user must be defined in Asterisk manager.conf file. */
define ('AST_USERNAME', '<your AMI username>') ;
/** Password for Asterisk Manager Interface user. */
define ('AST_PASSWORD', '<your AMI password>') ;

/* Database settings */

/** MySQL server host. */
define ('DB_HOST', 'localhost') ;
/** MySQL server port (3306 usually). */
define ('DB_PORT', 3306) ;
/** MySQL user for tinyman.pl and TinyMON.php.
 * This user must have read/write permissions on the tickets table. */
define ('DB_USERNAME', '<your MySQL username>') ;
/** Password for MySQL user. */
define ('DB_PASSWORD', '<your MySQL password>') ;
/** Database that hosts the tickets table ('test' database for instance). */
define ('DB_DATABASE', 'test') ;
/** Table that will contain the tickets.
 *     Suggestion to create tickets table :
 *         CREATE TABLE `tickets` (
 *           `id` int(11) NOT NULL auto_increment,
 *           `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
 *           `ticket` text NOT NULL,
 *           PRIMARY KEY (`id`)
 *         ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ;
 *     You may choose different ENGINE and DEFAULT CHARSET.
 *     atinyman.pl can create it automatically if it has sufficient permissions.
 */
define ('DB_TABLE', 'tickets') ;

/* Monitoring utility settings */

/** Location of tinyman.pl */
define ('MON_APP', '/var/www/html/atinymon/atinyman.pl') ;
/** Polling period for scheduled polling requests */
define ('POLLING_PERIOD', 300) ;
/** How long to keep tickets.
 * Don't set this value too short, because TinyMON needs a bit of historical
 * data to self-train about Asterisk devices. Example : 900 = 15 minutes. */
define ('TICKETS_PURGE', 900) ;

/* Debug settings */

/** Debug mode : 1 or more will activate miscellaneous debugging features. */
define ('DEBUG', 0) ;
/** Auto-freeze mode : 1 will freeze display if an unknown event could not be handled. */
define ('FREEZE_IF_NOT_HANDLED', 0) ;
/** Demo mode : 1 will run TinyMON with a demo database. */
define ('DEMO', 0) ;

/* Misc settings : HTML page refresh, ... */

/** Delay before the web browser will request a page refresh. */
define ('REFRESH_MIN', 2) ;
/** Maximum delay between 2 pages. */
define ('REFRESH_MAX', 10) ;
/** How many tickets maximum should be handled for one page refresh. */
define ('TICKETS_PER_REFRESH_MAX', 1000) ;
/** How long should we wait before we "forget" a call when we have no news.
 * Advice : don't set lower than POLLING_PERIOD. */
define ('CALL_TIMEOUT', 3600) ;
/** How long should we wait before we "forget" a device when we have no news.
 * Advice : don't set lower than POLLING_PERIOD. */
define ('DEVICE_TIMEOUT', 7200) ;
/** Display by default all new channels types (SIP, IAX2, MGCP and others). */
define ('VIEW_BY_DEFAULT', 1) ;
/** Mask pseudo-device Zap/pseudo (used for meetme conferences) and fake channel OutgoingSpoolFailed. */
define ('MASK_PSEUDO', 1) ;

/* Internal data : images, icons and tooltips */

define ('PATH_IMG', 'images/') ;
define ('IMG_BLANK', PATH_IMG . 'blank_16_16.png') ;
define ('IMG_SELECTED', PATH_IMG . 'ok_16.png') ;
define ('IMG_NOT_SELECTED', PATH_IMG . 'stop_16.png') ;
$ui['frozen'] = array (PATH_IMG . 'ktimer.png', 'Frozen') ;
$ui['running'] = array (PATH_IMG . 'misc.png', 'Running') ;
$ui['refresh'] = array (PATH_IMG . 'tool_resume.png', 'Refresh') ;
$ui['freeze'] =  array (PATH_IMG . 'tool_pause.png',  'Freeze') ;
$status['unknown'] = array(PATH_IMG . 'ledpurple.png', 'Unknown') ;
$status['alarm'] = array(PATH_IMG . 'ledred.png', 'Offline') ;
$status['offline'] = array(PATH_IMG . 'ledgrey.png', 'Offline') ;
$status['online'] = array(PATH_IMG . 'ledblue.png', 'Online') ;
$status['ringing'] = array(PATH_IMG . 'ledorange.png', 'Active') ;
$status['active'] = array(PATH_IMG . 'ledgreen.png', 'Active') ;

/* Internal data : constants */
define ('UPDATE', 1) ;
define ('DELETE', 0) ;

?>
